
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python读取和处理文件后缀为&quot;.sqlite&quot;的数据文件 / 憋错料</title>

    <meta name="description" content="Python读取和处理文件后缀为&quot;.sqlite&quot;的数据文件 最近在弄一个项目分析的时候,看到有一个后缀为”.sqlite”的数据文件,由于以前没怎么接触过,就想着怎么用python来打开并进行数据分析与处理,于是稍微研究了一下. SQLite是一款非常流行的关系型数据库,由于它非常轻盈,因此被大量应用程序采用. 像csv文件一样,SQLite可以将数据存储于单个数据文件,以便方便的分享给其他人员.许多编程语言都支持SQLite数据的处理,python语言也不例外. sqlite3是python的一个标准库,可以用于处理SQLite数据库. 用sqlite">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Python读取和处理文件后缀为&quot;.sqlite&quot;的数据文件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>最近在弄一个项目分析的时候，看到有一个后缀为&rdquo;.sqlite&rdquo;的数据文件，由于以前没怎么接触过，就想着怎么用python来打开并进行数据分析与处理，于是稍微研究了一下。</p>
<p>SQLite是一款非常流行的关系型数据库，由于它非常轻盈，因此被大量应用程序采用。</p>
<p>像csv文件一样，SQLite可以将数据存储于单个数据文件，以便方便的分享给其他人员。许多编程语言都支持SQLite数据的处理，python语言也不例外。</p>
<p>sqlite3是python的一个标准库，可以用于处理SQLite数据库。</p>
<h1>用sqlite3创建和操作数据库文件</h1>
<p>对于数据库的SQL语句，本文会用到最基础的SQL语句，应该不影响阅读。如果想进一步了解，可参考如下网址：<br /><a href="http://www.w3school.com.cn/sql/index.asp" rel="external nofollow noreferrer">http://www.w3school.com.cn/sql/index.asp</a></p>
<p>下面，我们来应用salite3模块来创建SQLite数据文件，以及进行数据读写操作。主要的步骤如下：</p>
<ol>
<li>与数据库建立连接，创建数据库文件（.sqlite文件）</li>
<li>创建游标（cursor）</li>
<li>创建数据表（table）</li>
<li>向数据表中插入数据</li>
<li>查询数据</li>
</ol>
<p>演示代码如下：</p>
<pre><code>import sqlite3

with sqlite3.connect(‘test_database.sqlite‘) as con:
    c = con.cursor()
    c.execute(‘‘‘CREATE TABLE test_table
    (date text, city text, value real)‘‘‘)
    for table in c.execute("SELECT name FROM sqlite_master WHERE type=‘table‘"):
        print("Table", table[0])
    c.execute(‘‘‘INSERT INTO test_table VALUES
    (‘2017-6-25‘, ‘bj‘, 100)‘‘‘)
    c.execute(‘‘‘INSERT INTO test_table VALUES
    (‘2017-6-25‘, ‘pydataroad‘, 150)‘‘‘)
    c.execute("SELECT * FROM test_table")
    print(c.fetchall())
</code></pre>
<pre><code>Table test_table
[(‘2017-6-25‘, ‘bj‘, 100.0), (‘2017-6-25‘, ‘pydataroad‘, 150.0)]
</code></pre>
<p>关于SQLite数据库中数据的可视化预览，有很多的工具可以实现，我这里使用的是SQLite Studio，是一个免费使用的工具，不需要安装，下载下来就可以使用，有兴趣的同学可以参考下面的链接。</p>
<p><a href="https://sqlitestudio.pl/index.rvt?act=download" rel="external nofollow noreferrer">https://sqlitestudio.pl/index.rvt?act=download</a></p>
<p>数据预览的效果如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzEwODg2NzIvMjAxNzA2LzEwODg2NzItMjAxNzA2MjUyMTI1NTcxMzItNDQ3ODYwMTI2LmpwZw==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzEwODg2NzIvMjAxNzA2LzEwODg2NzItMjAxNzA2MjUyMTI2MDU5OTEtMTMzOTM5NTIzLmpwZw==.jpg" /></p>
<h1>用pandas来读取sqlite数据文件</h1>
<p>从上面代码的运行结果可以看出，数据查询的结果是一个由tuple组成的list。python的list数据在进行进一步的数据处理与分析时，可能会不太方便。可以想象一下，假设如果数据库的表格中一共有100万行或者更多数据，从list中循环遍历获取数据，效率会比较低。</p>
<p>这时，我们可以考虑用pandas提供的函数来从SQLite数据库文件中读取相关数据信息，并保存在DataFrame中，方便后续进一步处理。</p>
<p>Pandas提供了两个函数，均可以读取后缀为&ldquo;.sqlite&rdquo;数据文件的信息。</p>
<ul>
<li>read_sql()</li>
<li>read_sql_query()</li>
</ul>
<pre><code>import pandas as pd

with sqlite3.connect(‘test_database.sqlite‘) as con:

    # read_sql_query和read_sql都能通过SQL语句从数据库文件中获取数据信息
    df = pd.read_sql_query("SELECT * FROM test_table", con=con)
    # df = pd.read_sql("SELECT * FROM test_table", con=con)

    print(df.shape)
    print(df.dtypes)
    print(df.head())
</code></pre>
<pre><code>(2, 3)
date      object
city      object
value    float64
dtype: object
        date        city  value
0  2017-6-25          bj  100.0
1  2017-6-25  pydataroad  150.0

<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzEwODg2NzIvMjAxNzA2LzEwODg2NzItMjAxNzA2MjUyMTI3MzIwODUtMTY5NjMxNTQ3MS5qcGc=.jpg" />
</code></pre>
<p>?</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 09:13:13 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/overflow/" title="overflow">overflow</a>, <a href="https://www.biecuoliao.com/tag/%e9%a1%b9%e7%9b%ae/" title="项目">项目</a>, <a href="https://www.biecuoliao.com/tag/where/" title="where">where</a>, <a href="https://www.biecuoliao.com/tag/connect/" title="connect">connect</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%b9%e4%be%bf/" title="方便">方便</a>, <a href="https://www.biecuoliao.com/tag/%e6%ad%a5%e9%aa%a4/" title="步骤">步骤</a>, <a href="https://www.biecuoliao.com/tag/aop/" title="aop">aop</a>, <a href="https://www.biecuoliao.com/tag/%e5%bb%ba%e7%ab%8b%e8%bf%9e%e6%8e%a5/" title="建立连接">建立连接</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Python读取和处理文件后缀为&quot;.sqlite&quot;的数据文件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDgxek4.html" rel="bookmark">己亥清爽恢复系列之数据文件3篇：非核心数据文件物理损坏或丢失（无备份恢复）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				己亥清爽系列说明:清爽系列是作为恢复系列的基础篇,基于FS(File System)文件系统的手工还原恢复,也叫基于用户管理的还原恢复,来自于博客园AskScuti. 实验说明:物理删除非关键系统数据文件,模拟介质损坏或丢失,且在无备份的情况下,如何进行手工完全还原恢复操作.注:控制文件.在线日志和归档日志都完整的情况下. 基于版本:Oracle 11gR2 11.2.0.4 AskScuti 概念说明:请严格区分什么叫还原(Restore),什么叫恢复(Recover). 还原(Restore			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgeAD83.html" rel="bookmark">python读取一个目录下面的所有sqlite文件  然后写到同一个数据库文件test&period;db中</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				import sqlite3 as dbimport osif name==&quot;main&quot;: if os.path.exists(&quot;./output/test.db&quot;): os.remove(&quot;./output/test.db&quot;) conn_write = db.connect('./output/test.db') cursor_write = conn_write.cursor() cursor_write.execute(&quot;CREA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0evydD3.html" rel="bookmark">Mysql数据库文件迁移并修改默认数据文件存储位置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				环境: 1.两台Win10电脑 2.MySql5.6 过程: 1.原电脑停止MySql服务 2.复制C:\ProgramData\MySQL\MySQL Server 5.6\data文件夹到目标电脑的D:\MysqlData 3.目标电脑停上MySql服务 4.修改目标电脑C:\Program Files (x86)\MySQL\MySQL Server 5.6\my.ini文件: datadir改为: datadir=&quot;D:/MySqlData/data/&quot; 5.目标电脑D:/My			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPeLJ10.html" rel="bookmark">Python解析excel文件并存入sqlite数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				功能:1.数据库设计 建立数据库2.Python解析excel文件3.Python读取文件名并解析4.将解析的数据存储入库 一 建立数据库 根据需求建立数据库,建立了两个表,并保证了可以将数据存储到已有的数据库中,代码如下: import sqlite3 def createDataBase(): cn = sqlite3.connect('check.db') cn.execute('''CREATE TABLE IF NOT EXISTS TB_CHECK (ID integer PRIMA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgPGPO0.html" rel="bookmark">Python读取Yaml文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近期看到好多使用Yaml文件做为配置文件或者数据文件的工程,随即也研究了下,发现Yaml有几个优点:可读性好.和脚本语言的交互性好(确实非常好).使用实现语言的数据类型.有一个一致的数据模型.易于实现. 既然有这么多好处,为什么不用呢,随后开始研究在Python中怎么读取Yaml文件,下面我们来看下: 1.首先需要下载Python的yaml库PyYAML,下载地址:http://pyyaml.org/,安装过程就省略...... 2.建立一个.py文件 3.import yaml 4.f = o			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ay66k0.html" rel="bookmark">MS SQL Server数据库修复&sol;MDF数据文件数据恢复&sol;MDF质疑&sol;mdf无法附加</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				微软的SQL Server 数据库最常用的有两种类型的文件: 1.主要数据文件,文件后缀一般是.MDF: 2.事务日志文件,文件后缀一般是.LDF. 用户数据表.视图.存储过程等等数据,都是存放在MDF文件里,LDF文件是存放MS SQL Server操作过程中的日志记录. MDF文件必读附加到MS SQL Server数据库环境后,才能正常读取其中的数据.当由于某种原因数据库附加不上,MDF数据库文件的内容就没办法读取,修复的方法有两种: 1. 使用MS SQL Server环境进行修复,先以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyAK8eM.html" rel="bookmark">ios  文件上传， post数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.文件下载 获取资源文件大小有两张方式 1. HTTP HEAD方法 NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url cachePolicy:0 timeoutInterval:kTimeout]; request.HTTPMethod = @&quot;HEAD&quot;; [NSURLConnection sendAsynchronousRequest:request queue:self.myQueue			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0exyjbM.html" rel="bookmark">移动数据文件的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时某个磁盘的I/0可能过于繁忙,这可能影响到数据库系统的整体效率.此时就应该将一个或几个数据文件移动到其他磁盘上以平衡磁盘的I/O.另外在磁盘损坏的情况下也应该考虑移动数据文件.oracle提供了两条移动数据文件的指令. 一.移动非系统数据文件 alter tablespace tablespace_name rename datafile 'file_name.dbf' to 'file_name.dbf'; 该语句适合于上面没有活动的还原数据或者临时数据段的非系统表空间中的数据文件,要求在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vWA1Z4.html" rel="bookmark">系统数据文件和信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系统正常运行需要使用大量系统数据文件,其中,所有UNIX系统都有的是:口令文件.组文件,大多数系统都提供的是:登录账户记录.系统标识.时间和日期例程,同时还有其他一些常用系统数据文件如:BSD网络软件有一个记录各网络服务器所提供服务的数据文件(/etc/services).记录协议住处的数据文件(etc/protocols)等. 1.口令文件 口令文件包括了以下字段,这些字段包含在&lt;pwd.h&gt;中定义的passwd结构中: struct passwd { char*  pw_name;    			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/gMWAxy3.html" rel="bookmark" class="title">Java 7 Concurrency Cookbook 翻译 序言</a>
					<div>
						在日常的Java代码开发过程中,很难免地有对多线程的需求,掌握java多线程和并发的机制也是Java程序员写出更健壮和高效代码的基础.笔者找寻国内已出版的关于Java多线程和并发的的中文书籍和翻译书籍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OmRzZM.html" rel="bookmark" class="title">python之字符串格式化&lpar;format&rpar;</a>
					<div>
						用法: 它通过{}和:来代替传统%方式 1.使用位置参数 要点:从以下例子可以看出位置参数不受顺序约束,且可以为{},只要format里有相对应的参数值即可,参数索引从0开,传入位置参数列表可用*列表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myw9Vn3.html" rel="bookmark" class="title">COMSOL Multiphysics 4&period;4 Update 1 Multilanguage Windows&period;&amp;&period;Linux&period;&amp;&period;MacOSX 1CD</a>
					<div>
						GH BLAEDE 风力机性能和载荷计算的集成化软件包 用户界面直观 提供综合模型 空气动力模型 控制系统应用 动力响应等 多种用途 ProgeCAD.2013.Professional.v13.0. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AdVJz3.html" rel="bookmark" class="title">自定义侧滑菜单</a>
					<div>
						类似于QQ侧滑菜单的效果,这个最重要的就是改变摆放方式,从而达到自己想要的效果,首先先弄明白onLayout方法里的参数 这个自定义里最主要的就是通过touch事件来移动显示的范围,移动viewgro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35bZmK4.html" rel="bookmark" class="title">SPFA&lpar;负环&rpar; LightOJ 1074 Extended Traffic</a>
					<div>
						题目传送门 题意:收过路费.如果最后的收费小于3或不能达到,输出'?'.否则输出到n点最小的过路费 分析:关键权值可为负,如果碰到负环是,小于3的约束条件不够,那么在得知有负环时,把这个环的点都标记下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3O7dR93.html" rel="bookmark" class="title">Xcode 6&period;1真机测试 8&period;1的iPhone设备时出现的编译错误的问题</a>
					<div>
						如图:设备连接准备调试时出现21个错误.检查了各个环节都没问题(证书,设备连接状况...).然后我换了个7.1的iPhone 设备,调试顺利通过,这就奇怪了. 然后我就看了Xcode 5里面的配置.发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47qbxy0.html" rel="bookmark" class="title">模拟做饭系统（java&plus;线程中的join方法）</a>
					<div>
						(一)项目框架分析 妈妈要去做饭,发现没有酱油,让儿子去买酱油,然后回来做饭. 根据面向对象的思想,有两个对象,妈妈和儿子 主要有两个方法: (一)没有线程控制(即儿子没有买酱油回来妈妈就做好饭了)+ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPDbgmM.html" rel="bookmark" class="title">线程特定数据TSD总结</a>
					<div>
						一线程的本质 二线程模型的引入 三线程特定数据 四关键函数说明 五刨根问底啥原理 六私有数据使用示例 七参考文档 一.线程的本质 Linux线程又称轻量进程(LWP),也就说线程本质是用进程之间共享用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWlLWM.html" rel="bookmark" class="title">Linux内核模块文件组成介绍</a>
					<div>
						作者:华清远见讲师 Linux驱动开发主要的工作就是编写模块,一个典型的Linux内核模块文件.ko 主要由以下几个部分组成. 模块加载函数(必须) 当通过insmod或modprobe命令加载内核模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KOVb90.html" rel="bookmark" class="title">【学习排序】Learning to Rank中Pointwise关于PRank算法源码实现</a>
					<div>
						最近终于忙完了Learning to Rank的作业,同时也学到了很多东西.我准备写几篇相关的文章简单讲述自己对它的理解和认识.第一篇准备讲述的就是Learning to Rank中Pointwise ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38bwaKM.html" rel="bookmark" class="title">cxf处理java bean及List、Map类型</a>
					<div>
						项目中经常是处理复合类型比如集合List.Map,下面就cxf处理复合类型进行讲解. 具体例子如下: 这里实例是客户端传一个JavaBean,服务器端返回集合类型: 一.  接口返回List处理: 在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDynm90.html" rel="bookmark" class="title">shiro笔记-AuthenticatingRealm和AuthorizingRealm关系</a>
					<div>
						AuthenticatingRealm--------&gt;用于认证方法的Realm AuthorizingRealm---------&gt;用于授权和认证的realm一般使用这个 Authori ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Ny5LG3.html" rel="bookmark" class="title">面向对象之静态成员</a>
					<div>
						1.静态成员是类成员,而不是实例成员,实例对象无法通过[.]语法访问所属类的静态成员,访问方式是[类名.静态成员]. 2.静态成员不能使用访问修饰符(private,protected,public, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkvn83.html" rel="bookmark" class="title">fsd</a>
					<div>
						三体运动的程序模拟 前几天看了&lt;三体&gt;,很不错的科幻小说.说到三体,我想到我大学的一个舍友叫王晶,和香港那个导演同名同姓同性别.记得有一次几个同学在一块聊天,有个女生问他:父母为什么给他取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rPbbbM.html" rel="bookmark" class="title">JavaScript错误处理</a>
					<div>
						JavaScript 错误 - Throw.Try 和 Catch JavaScript 测试和捕捉 try 语句允许我们定义在执行时进行错误测试的代码块. catch 语句允许我们定义当 try 代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lDV1Z0.html" rel="bookmark" class="title">递归（字符串）遇到一个不懂的问题</a>
					<div>
						def reverse_s(s): if len(s) &lt;= 1: return s else: #如果只写s[1:],只能返回n, return reverse_s(s[1:]) + s[0] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qb6e54.html" rel="bookmark" class="title">linux基础知识（1）</a>
					<div>
						1 linux中的各文件的颜色表示什么? linux系统约定不同类型文件默认的颜色: 白色:表示普通文件 蓝色:表示目录 绿色:表示可执行文件 红色:表示压缩文件 浅蓝色:链接文件 红色闪烁:表示链接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41yzzP4.html" rel="bookmark" class="title">两数最大公约数 &lpar;递归算法&rpar;</a>
					<div>
						//求取两数最大公约数(gcd):gcd(m,n)=gcd(n,m%n) //递归方法实现,如下: #include &quot;stdafx.h&quot; #include &lt;iostrea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWQjpm3.html" rel="bookmark" class="title">利用php制作简单的文本式留言板</a>
					<div>
						del.php 代码如下: &lt;html&gt;&lt;head &gt;&lt;meta charset=&quot;utf-8&quot;&gt;&lt;title&gt;我的留言板&lt;/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RQLByM.html" rel="bookmark" class="title">CPU纯软件半虚拟化技术</a>
					<div>
						在2003年出现的Xen,使用了另外的一种半虚拟化的方案来解决x86架构下CPU的敏感指令问题.主要采用Hypercall技术.Guest OS的部分代码被改变,从而使Guest OS会将和特权指令相 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
